com.ibm.openpages.api.workflow

## Interface IWFObjectsEval

- All Superinterfaces:
    IWFEvalUnit
  All Known Subinterfaces:
    IWFObjectCountEval, IWFObjectFieldEval

      public interface IWFObjectsEval
      extends IWFEvalUnit

  Interface that represents object(s) evaluation unit.
  Since:
    8.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWFConditionEval` | `getCondition()` Returns the condition applied to the target object type ( `getObjectType()` ).
    `java.lang.Boolean` | `getHonorPrimary()` Returns the flag to look up only primary relationships.
    `java.lang.Integer` | `getLevel()` Returns the level of relationships to look up.
    `java.lang.String` | `getObjectType()` Returns the object type to look up.
    `java.util.List<java.lang.String>` | `getReferencePaths()` Returns the reference paths to look up.
    `WFObjectReferenceType` | `getReferenceType()` Returns the type of reference
    `java.lang.Integer` | `getResultsPerPage()` Returns the number of results per page.
    `java.util.List<SortField>` | `getSortFields()` Returns the list of sort field with direction
    `void` | `setCondition(IWFConditionEval condition)` Assigns the condition applied to the target object type.
    `void` | `setHonorPrimary(java.lang.Boolean honorPrimary)` Assigns the flag to look up only primary relationships.
    `void` | `setLevel(java.lang.Integer level)` Assigns the level of relationships to look up.
    `void` | `setObjectType(java.lang.String objectType)` Assigns the object type value.
    `void` | `setReferencePaths(java.util.List<java.lang.String> referencePaths)` Assigns the reference paths to look up.
    `void` | `setReferenceType(WFObjectReferenceType refType)` Assigns the type of reference
    `void` | `setResultsPerPage(java.lang.Integer resultsPerPage)` Assigns the number of results per page.
    `void` | `setSortFields(java.util.List<SortField> sortFields)` Assigns the list of sort field with direction

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IWFEvalUnit

      `getEvalType`

- - ### Method Detail

    - #### getObjectType

          java.lang.String getObjectType()

      Returns the object type to look up.
      Returns:

    - #### setObjectType

          void setObjectType(java.lang.String objectType)

      Assigns the object type value.
      Parameters:
        `objectType` -

    - #### getReferenceType

          WFObjectReferenceType getReferenceType()

      Returns the type of reference
      Returns:

    - #### setReferenceType

          void setReferenceType(WFObjectReferenceType refType)

      Assigns the type of reference
      Parameters:
        `refType` -

    - #### getHonorPrimary

          java.lang.Boolean getHonorPrimary()

      Returns the flag to look up only primary relationships.
      Returns:

    - #### setHonorPrimary

          void setHonorPrimary(java.lang.Boolean honorPrimary)

      Assigns the flag to look up only primary relationships.
      Parameters:
        `honorPrimary` -

    - #### getLevel

          java.lang.Integer getLevel()

      Returns the level of relationships to look up. If the `getReferenceType()` is direct relationship, self or preference, the level value is ignored.
      Returns:

    - #### setLevel

          void setLevel(java.lang.Integer level)

      Assigns the level of relationships to look up.
      Parameters:
        `level` -

    - #### getReferencePaths

          java.util.List<java.lang.String> getReferencePaths()

      Returns the reference paths to look up. This is applicable when `getReferenceType()` is parent or child.
      Returns:

    - #### setReferencePaths

          void setReferencePaths(java.util.List<java.lang.String> referencePaths)

      Assigns the reference paths to look up.
      Parameters:
        `referencePaths` -

    - #### getCondition

          IWFConditionEval getCondition()

      Returns the condition applied to the target object type ( `getObjectType()` ).
      Returns:

    - #### setCondition

          void setCondition(IWFConditionEval condition)

      Assigns the condition applied to the target object type.
      Parameters:
        `condition` -

    - #### getResultsPerPage

          java.lang.Integer getResultsPerPage()

      Returns the number of results per page. When the IWFObjectsEval is evaluated at run-time, the workflow system fetches the result by pages. The run-time defaults to the registry value of "/OpenPages/Platform/Workflow Implementations/OpenPages/Default Results Per Page" when the value is not assigned by `setResultsPerPage(Integer)`. If the registry is not configured, it defaults to 100.
      Returns:

    - #### setResultsPerPage

          void setResultsPerPage(java.lang.Integer resultsPerPage)

      Assigns the number of results per page. When the IWFObjectsEval is evaluated at run-time, the workflow system fetches the result by pages.
      Parameters:
        `resultsPerPage` -

    - #### getSortFields

          java.util.List<SortField> getSortFields()

      Returns the list of sort field with direction
      Returns:
      Since:
        8.2

    - #### setSortFields

          void setSortFields(java.util.List<SortField> sortFields)

      Assigns the list of sort field with direction
      Parameters:
        `sortFields` -
      Since:
        8.2

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.